--configuration dac_test_mapping of dev_board_mapping is
--    for mapping
--        for dev_board: work.dev_board_addon_pkg.dev_board_addon_comp
--            use configuration work.dac_test_addon;
--        end for;
--    end for;
--end configuration dac_test_mapping;


configuration motion_controller_axi_dev_board of dev_board_mapping is
    for mapping
        for dev_board: work.dev_board_addon_pkg.dev_board_addon_comp
            use configuration work.motion_controller_axi_addon;
        end for;
    end for;
end configuration motion_controller_axi_dev_board;

library IEEE;
use IEEE.std_logic_1164.all;

-- Silly entity cause you can't use a config in verilog... :(
entity motion_controller_axi_dev_board_entity is
    port (
        clk : IN std_logic;
        reset_n : IN std_logic;

        led : OUT std_logic;

        awid : IN std_logic_vector(11 downto 0);
        awaddr : IN std_logic_vector(11 downto 0);
        awlen : IN std_logic_vector(3 downto 0);
        awsize : IN std_logic_vector(2 downto 0);
        awburst : IN std_logic_vector(1 downto 0);
        awprot : IN std_logic_vector(2 downto 0);
        awvalid : IN std_logic;
        awready : OUT std_logic;

        wid : IN std_logic_vector(11 downto 0);
        wdata : IN std_logic_vector(31 downto 0);
        wstrb : IN std_logic_vector(3 downto 0);
        wlast : IN std_logic;
        wvalid : IN std_logic;
        wready : OUT std_logic;

        bid : OUT std_logic_vector(11 downto 0);
        bresp : OUT std_logic_vector(1 downto 0);
        bvalid : OUT std_logic;
        bready : IN std_logic;

        arid : IN std_logic_vector(11 downto 0);
        araddr : IN std_logic_vector(11 downto 0);
        arlen : IN std_logic_vector(3 downto 0);
        arsize : IN std_logic_vector(2 downto 0);
        arburst : IN std_logic_vector(1 downto 0);
        arlock : IN std_logic_vector(1 downto 0);
        arcache : IN std_logic_vector(3 downto 0);
        arprot : IN std_logic_vector(2 downto 0);
        arvalid : IN std_logic;
        arready : OUT std_logic;

        rid : OUT std_logic_vector(11 downto 0);
        rdata : OUT std_logic_vector(31 downto 0);
        rresp : OUT std_logic_vector(1 downto 0);
        rlast : OUT std_logic;
        rvalid : OUT std_logic;
        rready : IN std_logic;

        gpio_0_d : INOUT std_logic_vector(35 downto 0);
        gpio_1_d : INOUT std_logic_vector(35 downto 0)
    );
end entity motion_controller_axi_dev_board_entity;

architecture verilog_fix of motion_controller_axi_dev_board_entity is
begin
    thing: configuration work.motion_controller_axi_dev_board
        port map (
            clk => clk,
            reset_n => reset_n,

            led => led,

            awid => awid,
            awaddr => awaddr,
            awlen => awlen,
            awsize => awsize,
            awburst => awburst,
            awprot => awprot,
            awvalid => awvalid,
            awready => awready,

            wid => wid,
            wdata => wdata,
            wstrb => wstrb,
            wlast => wlast,
            wvalid => wvalid,
            wready => wready,

            bid => bid,
            bresp => bresp,
            bvalid => bvalid,
            bready => bready,

            arid => arid,
            araddr => araddr,
            arlen => arlen,
            arsize => arsize,
            arburst => arburst,
            arlock => arlock,
            arcache => arcache,
            arprot => arprot,
            arvalid => arvalid,
            arready => arready,

            rid => rid,
            rdata => rdata,
            rresp => rresp,
            rlast => rlast,
            rvalid => rvalid,
            rready => rready,

            gpio_0_d => gpio_0_d,
            gpio_1_d => gpio_1_d
        );
end architecture verilog_fix;
